org.eclipse.gef.ui.palette.customize

## Class PaletteGroupFactory

- java.lang.Object
- - org.eclipse.gef.ui.palette.customize.PaletteEntryFactory
  - - org.eclipse.gef.ui.palette.customize.PaletteContainerFactory
    - - org.eclipse.gef.ui.palette.customize.PaletteGroupFactory

    public class PaletteGroupFactory
    extends PaletteContainerFactory

Factory to create `groups`

### Constructor Summary

Constructors
Constructor and Description
`PaletteGroupFactory()` Constructor

### Method Summary

Methods
`protected PaletteEntry` `createNewEntry(Shell shell)` Create the PaletteEntry

### Methods inherited from class org.eclipse.gef.ui.palette.customize.PaletteContainerFactory

`canCreate, determineContainerForNewEntry, determineIndexForNewEntry`

### Methods inherited from class org.eclipse.gef.ui.palette.customize.PaletteEntryFactory

`createNewEntry, determineTypeForNewEntry, getImageDescriptor, getLabel, setImageDescriptor, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PaletteGroupFactory

    public PaletteGroupFactory()

Constructor

### Method Detail

#### createNewEntry

    protected PaletteEntry createNewEntry(Shell shell)

Description copied from class: `PaletteEntryFactory`
Create the PaletteEntry

Specified by:
  `createNewEntry` in class `PaletteEntryFactory`
Parameters:
  `shell` - The `Shell` of the `PaletteCustomizerDialog`; it can be used to create another warning or information dialog.
Returns:
  The newly created entry
See Also:
  `PaletteEntryFactory.createNewEntry(Shell)`